<template>
	<div class="vairus-catch">
		<div class="inner">
			<vairus-card 
				:vairus="vairus_catch.vairus"
				:highlighted="false"
				:stats="false"
			/>
			
			<div class="text medium-font align-center">{{getLocale('you_get')}}</div>
			
			<div class="rewards flex">
				
				<div class="bytes">
					<div class="avaiable">
						<div class="icon" :style="{ 'background-image' : getBytesImage() }"></div>
						<div class="text">{{vairus_catch.bytes}}</div>
					</div>
				</div>
				
				<div class="shard" v-for="(value, type) in vairus_catch.shards">
					<div class="avaiable" v-if="value > 0">
						<div class="icon" :style="{ 'background-image' : getShardImage(type) }"></div>
						<div class="text">{{vairus_catch.shards[type]}}</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>


<script>
	import VairusCard from '../components/VairusCard.vue';
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['vairus_catch'],
		mixins: [commonMixin],
		components: {
			VairusCard
		}
	}
</script>


<style lang="scss" scoped>
	@import "../styles/variables";
	
	.vairus-catch{
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 2147483647;
		
		.inner{
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%,-50%);
			padding: 20px;
			color: white;
			border-radius: 10px;
			background: radial-gradient(ellipse at center, rgba(0,0,0,0.9) 0%, rgba(14,45,63,0.9) 100%);
			
			text{
				margin-bottom: 10px;
			}

			.vairus-card{
				position: relative;
				margin: 10px;
				cursor: pointer;
			}
			
			.rewards{
				justify-content: center;
				text-align: center;
				margin-top: 10px;
				
				.bytes,
				.shard{
					.avaiable{
						padding: 0 5px;
					}
					.icon{
						display: inline-block;
						width: 24px;
						height: 24px;
						margin-bottom: -2px;
						background-size: contain;
					}
				}
			}
			
		}
	}
	
	@media screen and (max-height: 480px) {
		.vairus-catch .inner{
			max-height: 100vh;
			padding: 10px;
		
			.vairus-card{
				margin-top: 0;
			}
			> .text{
				display: none;
			}
		}
	}
</style>

